
TYPE
    MpSequenceErrorEnum : 
        ( (* Error numbers of library MpSequence *)
        mpSEQUENCE_NO_ERROR := 0, (* No error *)
        mpSEQUENCE_ERR_ACTIVATION := -1064239103, (* Could not create component [Error: 1, 0xc0910001] *)
        mpSEQUENCE_ERR_MPLINK_NULL := -1064239102, (* MpLink is NULL pointer [Error: 2, 0xc0910002] *)
        mpSEQUENCE_ERR_MPLINK_INVALID := -1064239101, (* MpLink connection not allowed [Error: 3, 0xc0910003] *)
        mpSEQUENCE_ERR_MPLINK_CHANGED := -1064239100, (* MpLink modified [Error: 4, 0xc0910004] *)
        mpSEQUENCE_ERR_MPLINK_CORRUPT := -1064239099, (* Invalid MpLink contents [Error: 5, 0xc0910005] *)
        mpSEQUENCE_ERR_MPLINK_IN_USE := -1064239098, (* MpLink already in use [Error: 6, 0xc0910006] *)
        mpSEQUENCE_ERR_PAR_NULL := -1064239097, (* Parameters structure is a null pointer [Error: 7, 0xc0910007] *)
        mpSEQUENCE_ERR_CONFIG_NULL := -1064239096, (* Configuration structure is null pointer [Error: 8, 0xc0910008] *)
        mpSEQUENCE_ERR_CONFIG_NO_PV := -1064239095, (* Configuration pointer not PV [Error: 9, 0xc0910009] *)
        mpSEQUENCE_ERR_CONFIG_LOAD := -1064239094, (* Error loading configuration {2:ConfigName} (ErrorCause: {1:ErrorNumber}) [Error: 10, 0xc091000a] *)
        mpSEQUENCE_WRN_CONFIG_LOAD := -2137980917, (* Warning loading configuration [Warning: 11, 0x8091000b] *)
        mpSEQUENCE_ERR_CONFIG_SAVE := -1064239092, (* Error saving configuration {2:ConfigName} (ErrorCause: {1:ErrorNumber}) [Error: 12, 0xc091000c] *)
        mpSEQUENCE_ERR_CONFIG_INVALID := -1064239091, (* Invalid Configuration [Error: 13, 0xc091000d] *)
        mpSEQUENCE_ERR_NAME_EMPTY := -1064004608, (* Empty name specified for the sequence [Error: 37888, 0xc0949400] *)
        mpSEQUENCE_ERR_IMPORT := -1064004607, (* Import of sequence file {2:FileName} from device {3:DeviceName} failed [Error: 37889, 0xc0949401] *)
        mpSEQUENCE_ERR_EXPORT := -1064004606, (* Export of sequence file {2:FileName} to device {3:DeviceName} failed [Error: 37890, 0xc0949402] *)
        mpSEQUENCE_ERR_NO_SEQUENCE_DEF := -1064004605, (* No Sequence defined in the specified file {2:FileName} on device {3:DeviceName} [Error: 37891, 0xc0949403] *)
        mpSEQUENCE_ERR_PV_NOT_FOUND := -1064004604, (* Cannot access specified variable {2:PvName} (ErrorCause {1:ErrorNumber}) [Error: 37892, 0xc0949404] *)
        mpSEQUENCE_ERR_INTERLOCK := -1064004603, (* An interlock condition failed when running the sequence {2: SequenceName} {3: StepId} [Error: 37893, 0xc0949405] *)
        mpSEQUENCE_ERR_STEP_TIMEOUT := -1064004602, (* The timeout time for one step has elapsed executing command {2:Command} [Error: 37894, 0xc0949406] *)
        mpSEQUENCE_ERR_CONDITION_INVALID := -1064004601, (* The steps in the loaded sequence are not correctly defined [Error: 37895, 0xc0949407] *)
        mpSEQUENCE_ERR_NAME_NOT_FOUND := -1064004600, (* The specified command {2:CommandName} was not found inside the configuration [Error: 37896, 0xc0949408] *)
        mpSEQUENCE_ERR_ARRAY_NULL := -1064004599, (* The pointer to the parameter/actuator array is a NULL pointer [Error: 37897, 0xc0949409] *)
        mpSEQUENCE_ERR_NAME_NULL := -1064004598, (* The pointer to the name string is a NULL pointer [Error: 37898, 0xc094940a] *)
        mpSEQUENCE_WRN_ARRAY_SHORT := -2137746421, (* The parameter or used actuator array is too short for loading all available parameters/actuators from the configuration [Warning: 37899, 0x8094940b] *)
        mpSEQUENCE_ERR_ACTUATOR_MISSING := -1064004596, (* The actuator {2:ActuatorName} is not existing in the configuration [Error: 37900, 0xc094940c] *)
        mpSEQUENCE_ERR_ACTUATOR_COUNT := -1064004595, (* There should be at least 2 Actuators for multiple actuator type [Error: 37901, 0xc094940d] *)
        mpSEQUENCE_ERR_PAR_MISSING := -1064004594, (* The parameter {2:ParameterName} is not existing in the configuration [Error: 37902, 0xc094940e] *)
        mpSEQUENCE_ERR_STEP_NOT_FOUND := -1064004593, (* The step {2:Step} specified was not found inside the loaded configuration [Error: 37903, 0xc094940f] *)
        mpSEQUENCE_ERR_NO_SEQ_IMPORTED := -1064004592, (* No sequence loaded before the Start command [Error: 37904, 0xc0949410] *)
        mpSEQUENCE_ERR_AXIS_MISSING := -1064004591, (* The axis {2:AxisName} is not existing in the configuration [Error: 37905, 0xc0949411] *)
        mpSEQUENCE_ERR_COMMAND_NOT_FOUND := -1064004590, (* The specified command {2: Command} was not found in the command list [Error: 37906, 0xc0949412] *)
        mpSEQUENCE_ERR_NO_STEPS_PREVIOUS := -1064004589, (* There are no previous steps defined [Error: 37907, 0xc0949413] *)
        mpSEQUENCE_ERR_NO_STEPS_DEFINED := -1064004588, (* There are no steps defined that could be exported [Error: 37908, 0xc0949414] *)
        mpSEQUENCE_ERR_COMMAND_STATE_ERR := -1064004587 (* The execution of command {2: Command} resulted in an error state [Error: 37909, 0xc0949415] *)
        );
END_TYPE
